## mx4j.loading
Class MLetParser

    java.lang.Object
      mx4j.loading.MLetParser

public class MLetParser
extends java.lang.Object

The parser for MLet files, as specified in the JMX documentation. This parser is case insensitive regards to the MLet tags: MLET is equal to mlet and to MLet. This parser also supports XML-style comments in the file.

Version:
  $Revision: 1.5 $

Field Summary
`static java.lang.String` `ARCHIVE_ATTR`
`static java.lang.String` `ARG_TAG`
`static java.lang.String` `CLOSE_BRACKET`
`static java.lang.String` `CLOSE_COMMENT`
`static java.lang.String` `CODE_ATTR`
`static java.lang.String` `CODEBASE_ATTR`
`static java.lang.String` `MLET_TAG`
`static java.lang.String` `NAME_ATTR`
`static java.lang.String` `OBJECT_ATTR`
`static java.lang.String` `OPEN_BRACKET`
`static java.lang.String` `OPEN_COMMENT`
`static java.lang.String` `TYPE_ATTR`
`static java.lang.String` `VALUE_ATTR`
`static java.lang.String` `VERSION_ATTR`

Constructor Summary
`MLetParser()` Creates a new MLetParser
`MLetParser(javax.management.loading.MLet mlet)` Creates a new MLetParser

Method Summary
`java.util.List` `parse(java.lang.String content)` Parses the given content, that must contains a valid MLet file.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### OPEN_COMMENT

    public static final java.lang.String OPEN_COMMENT

See Also:
  Constant Field Values

### CLOSE_COMMENT

    public static final java.lang.String CLOSE_COMMENT

See Also:
  Constant Field Values

### OPEN_BRACKET

    public static final java.lang.String OPEN_BRACKET

See Also:
  Constant Field Values

### CLOSE_BRACKET

    public static final java.lang.String CLOSE_BRACKET

See Also:
  Constant Field Values

### MLET_TAG

    public static final java.lang.String MLET_TAG

See Also:
  Constant Field Values

### CODE_ATTR

    public static final java.lang.String CODE_ATTR

See Also:
  Constant Field Values

### OBJECT_ATTR

    public static final java.lang.String OBJECT_ATTR

See Also:
  Constant Field Values

### ARCHIVE_ATTR

    public static final java.lang.String ARCHIVE_ATTR

See Also:
  Constant Field Values

### CODEBASE_ATTR

    public static final java.lang.String CODEBASE_ATTR

See Also:
  Constant Field Values

### NAME_ATTR

    public static final java.lang.String NAME_ATTR

See Also:
  Constant Field Values

### VERSION_ATTR

    public static final java.lang.String VERSION_ATTR

See Also:
  Constant Field Values

### ARG_TAG

    public static final java.lang.String ARG_TAG

See Also:
  Constant Field Values

### TYPE_ATTR

    public static final java.lang.String TYPE_ATTR

See Also:
  Constant Field Values

### VALUE_ATTR

    public static final java.lang.String VALUE_ATTR

See Also:
  Constant Field Values

Constructor Detail

### MLetParser

    public MLetParser()

  Creates a new MLetParser

### MLetParser

    public MLetParser(javax.management.loading.MLet mlet)

  Creates a new MLetParser

Parameters:
  `mlet` - The MLet used to resolve classes specified in the ARG tags.

Method Detail

### parse

    public java.util.List parse(java.lang.String content)
                         throws MLetParseException

  Parses the given content, that must contains a valid MLet file.

  Parameters:
    `content` - The content to parse
  Returns:
    A list of `MLetTag`s
  Throws:
    `MLetParseException` - If the content is not a valid MLet file

Copyright © 2001-2003 MX4J Team. All Rights Reserved.